Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.xml.expression
Class JXPathExpressionEvaluator

    java.lang.Object
      org.mule.module.xml.expression.JXPathExpressionEvaluator

All Implemented Interfaces:
  MuleContextAware, ExpressionEvaluator, NamedObject

Deprecated. Developers should use xpath, bean or groovy instead of this expression evaluator since there are some quirks with JXPath and the performance is not good.

    public class JXPathExpressionEvaluator

extends Object
implements ExpressionEvaluator, MuleContextAware

Will extract properties based on Xpath expressions. Will work on Xml/Dom and beans

Field Summary
`protected Log` | `logger` Deprecated. logger used by this class
`protected MuleContext` | `muleContext` Deprecated.
`static String` | `NAME` Deprecated.

Constructor Summary
`JXPathExpressionEvaluator()` Deprecated.

Method Summary
`protected void` | `addNamespacesToContext(NamespaceManager manager, org.apache.commons.jxpath.JXPathContext context)` Deprecated.
`Object` | `evaluate(String expression, MuleMessage message)` Deprecated. Extracts a single property from the message
`String` | `getName()` Deprecated. Gets the name of the object
`protected NamespaceManager` | `getNamespaceManager()` Deprecated.
`void` | `setMuleContext(MuleContext context)` Deprecated.
`void` | `setName(String name)` Deprecated. Sets the name of the object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

  Deprecated.
  See Also:
    Constant Field Values

### logger

    protected transient Log logger

  Deprecated.
  logger used by this class

### muleContext

    protected transient MuleContext muleContext

  Deprecated.

Constructor Detail

### JXPathExpressionEvaluator

    public JXPathExpressionEvaluator()

  Deprecated.

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext context)

  Deprecated.
  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### evaluate

    public Object evaluate(String expression,
                           MuleMessage message)

  Deprecated.
  Description copied from interface: `ExpressionEvaluator`
  Extracts a single property from the message

  Specified by:
    `evaluate` in interface `ExpressionEvaluator`
  Parameters:
    `expression` - the property expression or expression
    `message` - the message to extract from
  Returns:
    the result of the extraction or null if the property was not found

### addNamespacesToContext

    protected void addNamespacesToContext(NamespaceManager manager,
                                          org.apache.commons.jxpath.JXPathContext context)

  Deprecated.

### getName

    public String getName()

  Deprecated.
  Gets the name of the object

  Specified by:
    `getName` in interface `NamedObject`
  Returns:
    the name of the object

### setName

    public void setName(String name)

  Deprecated.
  Sets the name of the object

  Specified by:
    `setName` in interface `NamedObject`
  Parameters:
    `name` - the name of the object

### getNamespaceManager

    protected NamespaceManager getNamespaceManager()

  Deprecated.
  Returns:
    the nsmespace manager from the registry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.